/* -*- c++ -*- */
/*
 * Copyright 2004 Free Software Foundation, Inc.
 * 
 * This file is part of GNU Radio
 * 
 * GNU Radio is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 * 
 * GNU Radio is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with GNU Radio; see the file COPYING.  If not, write to
 * the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

%{

#include <gr_sync_block.h>
#include <gr_sync_decimator.h>
#include <gr_sync_interpolator.h>
#include <gr_nop.h>
#include <gr_null_sink.h>
#include <gr_null_source.h>
#include <gr_head.h>
#include <gr_sig_source_waveform.h>
#include <gr_quadrature_demod_cf.h>
#include <gr_remez.h>
#include <gr_float_to_complex.h>
#include <gr_check_counting_s.h>
#include <gr_lfsr_32k_source_s.h>
#include <gr_check_lfsr_32k_s.h>
#include <gr_serial_to_parallel.h>
#include <gr_keep_one_in_n.h>
#include <gr_fft_vcc.h>
#include <gr_fft_vfc.h>
#include <gr_float_to_short.h>
#include <gr_short_to_float.h>
#include <gr_frequency_modulator_fc.h>
#include <gr_bytes_to_syms.h>
#include <gr_simple_correlator.h>
#include <gr_simple_framer.h>
#include <gr_complex_to_xxx.h>
#include <gr_interleaved_short_to_complex.h>
#include <gr_firdes.h>
#include <gr_interleave.h>
#include <gr_deinterleave.h>

%}

%include "gr_sync_block.i"
%include "gr_sync_decimator.i"
%include "gr_sync_interpolator.i"
%include "gr_nop.i"
%include "gr_null_sink.i"
%include "gr_null_source.i"
%include "gr_head.i"
%include "gr_sig_source_waveform.h"
%include "gr_noise_type.h"
%include "gr_quadrature_demod_cf.i"
%include "gr_remez.i"
%include "gr_float_to_complex.i"
%include "gr_check_counting_s.i"
%include "gr_lfsr_32k_source_s.i"
%include "gr_check_lfsr_32k_s.i"
%include "gr_serial_to_parallel.i"
%include "gr_keep_one_in_n.i"
%include "gr_fft_vcc.i"
%include "gr_fft_vfc.i"
%include "gr_float_to_short.i"
%include "gr_short_to_float.i"
%include "gr_frequency_modulator_fc.i"
%include "gr_bytes_to_syms.i"
%include "gr_simple_correlator.i"
%include "gr_simple_framer.i"
%include "gr_complex_to_xxx.i"
%include "gr_interleaved_short_to_complex.i"
%include "gr_firdes.i"
%include "gr_interleave.i"
%include "gr_deinterleave.i"


%include "general_generated.i"
